package nc.itf.sscivm.service;

import com.alibaba.fastjson.JSONObject;
import java.util.List;
import java.util.Map;
import nc.vo.pub.BusinessException;
import nc.vo.sscivm.invoice.IVMInvoiceFileVO;

public interface IInvoiceUploadService {
  Map<String, Object> upload(String paramString1, String paramString2, String paramString3, String paramString4, String paramString5, String paramString6, boolean paramBoolean, String paramString7);
  
  List<Map<String, Object>> uploadInvoice(String paramString1, String paramString2, String paramString3, String paramString4, String paramString5, String paramString6, IVMInvoiceFileVO paramIVMInvoiceFileVO);
  
  IVMInvoiceFileVO uploadFile(String paramString1, String paramString2, String paramString3, String paramString4) throws BusinessException;
  
  Map<String, Object> reVerifyAnduploadInvoice(String paramString1, String paramString2, String paramString3, String paramString4, String paramString5, JSONObject paramJSONObject);
  
  Map<String, Object> reUploadInvoice(String paramString1, String paramString2, String paramString3, String paramString4, String paramString5, String paramString6, int paramInt, JSONObject paramJSONObject);
  
  List<Map<String, Object>> queryInvoices(String paramString);

Map<String, Object> upload(String pk_org, String pk_bill, String billtype, String transitype, String filename,
		String fileContent);
}

